/*
 *      main.cpp
 *      Funlight command line interface
 */

#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include "../funlight.h"

extern int fl_fb, fl_fbbr;
Funlight funobj = Funlight(0);

void terminate_signal(int)
{
  funobj.stop();
  exit(0);
}

int main(int argc, char *argv[])
{
  int arg_t,arg_b;
  char arg_q;
  
  signal (SIGINT,terminate_signal);
  signal (SIGTERM,terminate_signal);
  signal (SIGFPE,terminate_signal);

  if(argc > 1)
  {
    arg_t = atoi(argv[1]);
    if(argv[1][0] > 0x39 || argv[1][0] < 0x30 || arg_t <= 0)
    {
      printf("Usage:\n    %s [time] [sensitivity] [brightness]\n    %s --help\n    %s -h\n", argv[0], argv[0], argv[0]);
      printf(" time        - time of work in seconds (>0, 30 default)\n");
      printf(" sensitivity - microphone sensitivity (0-9, 6 default)\n");
      printf(" brightness  - brightness of backlight (0-100, s - smooth, current default)\n");
      printf(" --help, -h  - display this help\n");
      return 0;
    }
  }
  else
    arg_t = 30;

  if(argc > 2)
    arg_q = argv[2][0];
  else
    arg_q = 0x36;

  switch(arg_q)
  {
    case 0x30:
      funobj.setSens(0x6747);
    break;
    case 0x31:
      funobj.setSens(0x42A1);
    break;
    case 0x32:
      funobj.setSens(0x2AFD);
    break;        
    case 0x33:
      funobj.setSens(0x1BBC);
    break;        
    case 0x34:
      funobj.setSens(0x11E4);
    break;        
    case 0x35:
      funobj.setSens(0x0B8B);
    break;
    case 0x36:
      funobj.setSens(0x0772);
    break;
    case 0x37:
      funobj.setSens(0x04CE);
    break;
    case 0x38:
      funobj.setSens(0x0319);
    break;
    case 0x39:
      funobj.setSens(0x0200);
    break;
    default:
      funobj.setSens(0x0772);
  }

  ioctl(fl_fb, FBIOGETBRIGHTNESS, &arg_b);

  if(argc > 3)
  {
    if(argv[3][0] == 0x73) 
    funobj.setSmooth(true);
    else
    fl_fbbr = atoi(argv[3]);
  }
  else
    fl_fbbr = arg_b;

  funobj.start();
  sleep(arg_t);
  funobj.stop();
  ioctl(fl_fb, FBIOSETBRIGHTNESS, arg_b);
  return 0;
}

