/*
 *      HelpWindow.cpp 
 *      Help window
 */

#include <ZApplication.h>
#include <ZMainWidget.h>
#include <ezxutilcst.h>
#include <ZPushButton.h>
#include <qtextview.h>
#include <qlabel.h>


#include "HelpWindow.h"

HelpWindow::HelpWindow(int langnum)
	: ZMainWidget( false, NULL, NULL, 0 )
{
  if(langnum == 1)
  {
    titletext = QString::fromUtf8(" Помощь");
    content = QString::fromUtf8("<u>Управление</u><br /><i>Центр:</i> включить/выключить фанлайт.<br /><i>Влево:</i> уменьшить чувствительность.<br /><i>Вправо:</i> увеличить чувствительность.<br />Изменять чувствительность можно при включенном фанлайте.<br /><br /><u>Основные опции</u><br /><i>Чувствительность:</i> чувствительность микофона. Чем больше значение, тем на более тихие звуки будет реагировать подсветка.<br /><i>Яркость подсветки:</i> яркость устанавливается в указанный уровень.<br /><i>Плавное мигание:</i> яркость устанавливается авторматически в зависимости от громкости звука.<br /><br /><u>Демон funlightd</u><br />Если демон запущен, то при поступлении входящего вызова он мигает подсветкой кейпада и дисплея по выбранной при запуске схеме.");
  }
  else
  {
    titletext = " Help";
    content = "<u>Keypad control</u><br /><i>Center:</i> start/stop funlight.<br /><i>Left:</i> decrease the sensitivity.<br /><i>Right:</i> increase the sensitivity.<br />You can also change the sensitivity when funlight has started or running.<br /><br /><u>Main options</u><br /><i>Sensitivity:</i> Sensitivity of the Microphone. When the value is higher, at a quiet/silence or mute sound will react the backlight.<br /><i>Brightness of backlight:</i> brightness set to slider level accordingly.<br /><i>Smooth flashing:</i> brightness set automatically depending on the sound volume.<br /><br /><u>Daemon funlightd</u><br />If the daemon is running, then when you receive an incoming call, it flashes the keypad and the display shows the selected scheme.";
  }

	// Titlebar
	title = new QLabel(titletext, this);
	title->setScaledContents(true);
	setTitleBarWidget(title);

  // Exit button
	okbtn = new ZPushButton(this);
	okbtn->setText("OK");
	setCSTWidget(okbtn);
	connect(okbtn, SIGNAL(clicked()), this, SLOT(exitSlot()));

  // Content
	sv = new QTextView(this);
	sv->setSizePolicy(QSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding));
	sv->setText(content);
	sv->setHScrollBarMode(QTextView::AlwaysOff);
	setContentWidget(sv);
}

HelpWindow::~HelpWindow()
{

}

void HelpWindow::exitSlot()
{
  delete this;
}
