/*
 *      funlight.h include file
 *      Definition of Funlight class
 */

#include <sys/ioctl.h>
#include <fcntl.h>
#include <unistd.h>
#include <linux/fb.h>
#include <ZAudioNormalDev.h>

#ifndef  __FUNLIGHT__
#define __FUNLIGHT__

#define KEYLIGHT_MAIN_ON    0xf0
#define KEYLIGHT_MAIN_OFF   0xf2
#define FBIOSETBKLIGHT      0x4619
#define FBIOGETBKLIGHT      0x461A
#define FBIOSETBRIGHTNESS   0x461B
#define FBIOGETBRIGHTNESS   0x461C
#define BKLIGHT_OFF         0
#define BKLIGHT_ON          1

class Funlight
{
  public:
    Funlight(short sens); 
    ~Funlight(); // destructor
    void start();
    void stop();
    bool runned();
    void setSens(short sens);
    void setSmooth(bool sm);
  private:
    static void *fun(void*); // engine
    pthread_t fun_t;
};

#endif
